Bug 1810

Summary: sshd.init initlog is deprecated
Product: Portable OpenSSH Reporter: martynas
Component: MiscellaneousAssignee: Assigned to nobody <unassigned-bugs>
Status: CLOSED FIXED    
Severity: enhancement CC: dtucker
Priority: P2    
Version: 5.6p1   
Hardware: All   
OS: Linux   
Bug Depends on:    
Bug Blocks: 1803    

Description martynas 2010-08-26 19:54:31 AEST
every time sshd starts, it prints this annoying warning

Starting sshd:WARNING: initlog is deprecated and will be removed in a future release
                                                           [  OK  ]

we patched it out the same way official rhel5 package did

--- contrib/redhat/sshd.init.foo  2005-01-03 17:22:08.326317216 -0500
+++ contrib/redhat/sshd.init      2005-01-03 17:22:20.483469048 -0500
@@ -104,7 +104,7 @@
        do_dsa_keygen
 
        echo -n $"Starting $prog:"
-       initlog -c "$SSHD $OPTIONS" && success || failure
+       $SSHD $OPTIONS && success || failure
        RETVAL=$?
        [ "$RETVAL" = 0 ] && touch /var/lock/subsys/sshd
        echo

perhaps it could be incorporated in the portable version?
Comment 1 Darren Tucker 2010-08-27 10:13:17 AEST
Patch applied and will be in the 5.7p1 release.  Thanks.
Comment 2 Darren Tucker 2010-08-27 10:28:01 AEST
With the release of OpenSSH 5.6p1 this bug is now considered closed.  If you have further problems please reopen or file a new bug as appropriate.